## libjmac-java 1.74

=== core/nativesrc/jmac/Makefile ===
TARGET   = jmac
INCLUDES = -I/usr/local/java/include -I/usr/local/java/include/linux -I../mac/Source/MACLib -I../mac/Source/Shared
CPPOPT   = -s -O3 -D__GNUC_IA32__ -DBUILD_CROSS_PLATFORM
COMPILER = gcc

SOURCEFILES = 			\
APEDecompressJMAC.o		\
jmac.o				\
UnBitArrayJMAC.o		\
../mac/Shared/libmac.a

$(TARGET): $(SOURCEFILES)
	$(COMPILER) -lstdc++ -shared $(CPPOPT) $(INCLUDES) -o lib$(TARGET).so $(SOURCEFILES)

APEDecompressJMAC.o: APEDecompressJMAC.cpp
	$(COMPILER) -c $(CPPOPT) $(INCLUDES) -o APEDecompressJMAC.o       APEDecompressJMAC.cpp			

jmac.o: jmac.cpp
	$(COMPILER) -c $(CPPOPT) $(INCLUDES) -o jmac.o       jmac.cpp		

UnBitArrayJMAC.o: UnBitArrayJMAC.cpp
	$(COMPILER) -c $(CPPOPT) $(INCLUDES) -o UnBitArrayJMAC.o       UnBitArrayJMAC.cpp

=== debian/changelog ===
libjmac-java (1.74-8) unstable; urgency=medium

  * Team upload.
  * Build with the DH sequencer instead of CDBS
  * Standards-Version updated to 4.6.0.1
  * Switch to debhelper level 13
  * Switch to the source format 3.0 (quilt)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 15 Mar 2022 11:25:01 +0100

libjmac-java (1.74-7) unstable; urgency=medium

  * Team upload
  * Update debian/compat to 9 (Closes: #965651)
  * Update Vcs URLs to point to Salsa

 -- tony mancill <tmancill@debian.org>  Wed, 05 Jan 2022 21:22:27 -0800

libjmac-java (1.74-6.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Tue, 05 Jan 2021 11:29:50 +0100

libjmac-java (1.74-6) unstable; urgency=low

  * Improve Depends.
  * Change Section: java.

 -- Torsten Werner <twerner@debian.org>  Thu, 11 Aug 2011 14:33:20 +0200

libjmac-java (1.74-5) unstable; urgency=low

  * upload to unstable

 -- Torsten Werner <twerner@debian.org>  Sun, 15 Feb 2009 22:29:56 +0100

libjmac-java (1.74-4) experimental; urgency=low

  * Really use default-jdk for building.
  * Simplify the command line launcher.
  * Minor cleanups in the debian directory.

 -- Torsten Werner <twerner@debian.org>  Thu, 15 Jan 2009 19:27:25 +0100

libjmac-java (1.74-3) experimental; urgency=low

  * Add a command line launcher /usr/bin/jmac. (Closes: #510828)
  * Simplify debian/watch.
  * Bump up Standards-Version: 3.8.0 (no changes).
  * Switch to default-jdk/-jre.
  * Disable compiler warnings.

 -- Torsten Werner <twerner@debian.org>  Wed, 14 Jan 2009 22:47:03 +0100

libjmac-java (1.74-2) unstable; urgency=low

  * Move the package to pkg-java svn.
  * Switch from kaffe to java-gcj-compat-dev.
  * debian/control:
    + Set Maintainer to Debian Java Maintainers and add myself to Uploaders.
    + Add XS-Vcs-{Svn,Browser} headers.
  * Remove debian/install and install jar from debian/rules and create
    symbolic link.
  * Bump up Standards-Version to 3.7.3

 -- Varun Hiremath <varun@debian.org>  Fri, 11 Jan 2008 10:40:33 +0530

libjmac-java (1.74-1) unstable; urgency=low

  * Initial release (Closes: #435839)

 -- Varun Hiremath <varunhiremath@gmail.com>  Fri, 03 Aug 2007 18:22:40 +0530

=== debian/control ===
Source: libjmac-java
Section: java
Priority: optional
Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
Uploaders:
 Varun Hiremath <varun@debian.org>,
 Torsten Werner <twerner@debian.org>
Build-Depends:
 ant,
 debhelper-compat (= 13),
 default-jdk,
 libtritonus-java
Standards-Version: 4.6.0.1
Vcs-Git: https://salsa.debian.org/java-team/libjmac-java.git
Vcs-Browser: https://salsa.debian.org/java-team/libjmac-java
Homepage: http://jmac.sourceforge.net/

Package: libjmac-java
Architecture: all
Depends: ${misc:Depends}
Description: Open Source Java Monkey's Audio Decoder/Encoder/JavaSound SPI
 JMAC is a Java implementation of Monkey's Audio Compression
 decoder. JMAC is a Java library that decodes, converts and plays
 Monkey's Audio files (.MAC, .APL, .APE) in real time. JMAC doesn't
 need JMF. It runs under J2SE.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --buildsystem=ant

override_dh_auto_build:
	dh_auto_build -- -f debian/build.xml jar

override_dh_auto_clean:
	rm -Rf classes jars

override_dh_auto_install:
	for i in jmac jmacdecoder jmacplayer jmacspi \
		jmacspi15 jmactritonusspi; do \
	install -m 644 -D jars/$$i.jar \
		debian/libjmac-java/usr/share/java/$$i-$(DEB_VERSION_UPSTREAM).jar; \
	dh_link /usr/share/java/$$i-$(DEB_VERSION_UPSTREAM).jar \
		/usr/share/java/$$i.jar; done

=== debian/watch ===
version=3
http://sf.net/jmac/ jmac-(.*)\.tar\.gz debian debian/orig-tar.sh
